public final class MultiMigsList
extends com.google.api.client.json.GenericJson
This is the Java data model class that specifies how to parse/serialize into the JSON that is transmitted over HTTP when working with the Compute Engine API. For a detailed explanation see: https://developers.google.com/api-client-library/java/google-http-java-client/json
| Modifier and Type | Class and Description |
|---|---|
static class |
MultiMigsList.Warning
Informational warning message.
|
com.google.api.client.util.GenericData.FlagsAbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>| Constructor and Description |
|---|
MultiMigsList() |
| Modifier and Type | Method and Description |
|---|---|
MultiMigsList |
clone() |
String |
getEtag() |
String |
getId()
Unique identifier for the resource; defined by the server.
|
List<MultiMig> |
getItems()
A list of multi-MIGs in the specified project and region.
|
String |
getKind()
Type of resource.
|
String |
getNextPageToken()
This token allows you to get the next page of results for maxResults, use the nextPageToken as
a value for the query parameter pageToken in the next list request.
|
String |
getSelfLink()
[Output only] Server-defined URL for this resource.
|
List<String> |
getUnreachables()
[Output only] Unreachable resources.
|
MultiMigsList.Warning |
getWarning()
Informational warning message.
|
MultiMigsList |
set(String fieldName,
Object value) |
MultiMigsList |
setEtag(String etag) |
MultiMigsList |
setId(String id)
Unique identifier for the resource; defined by the server.
|
MultiMigsList |
setItems(List<MultiMig> items)
A list of multi-MIGs in the specified project and region.
|
MultiMigsList |
setKind(String kind)
Type of resource.
|
MultiMigsList |
setNextPageToken(String nextPageToken)
This token allows you to get the next page of results for maxResults, use the nextPageToken as
a value for the query parameter pageToken in the next list request.
|
MultiMigsList |
setSelfLink(String selfLink)
[Output only] Server-defined URL for this resource.
|
MultiMigsList |
setUnreachables(List<String> unreachables)
[Output only] Unreachable resources.
|
MultiMigsList |
setWarning(MultiMigsList.Warning warning)
Informational warning message.
|
getFactory, setFactory, toPrettyString, toStringentrySet, equals, get, getClassInfo, getUnknownKeys, hashCode, put, putAll, remove, setUnknownKeysclear, containsKey, containsValue, isEmpty, keySet, size, valuesfinalize, getClass, notify, notifyAll, wait, wait, waitcompute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAllpublic String getEtag()
null for nonepublic MultiMigsList setEtag(String etag)
etag - etag or null for nonepublic String getId()
null for nonepublic MultiMigsList setId(String id)
id - id or null for nonepublic List<MultiMig> getItems()
null for nonepublic MultiMigsList setItems(List<MultiMig> items)
items - items or null for nonepublic String getKind()
null for nonepublic MultiMigsList setKind(String kind)
kind - kind or null for nonepublic String getNextPageToken()
null for nonepublic MultiMigsList setNextPageToken(String nextPageToken)
nextPageToken - nextPageToken or null for nonepublic String getSelfLink()
null for nonepublic MultiMigsList setSelfLink(String selfLink)
selfLink - selfLink or null for nonepublic List<String> getUnreachables()
null for nonepublic MultiMigsList setUnreachables(List<String> unreachables)
unreachables - unreachables or null for nonepublic MultiMigsList.Warning getWarning()
null for nonepublic MultiMigsList setWarning(MultiMigsList.Warning warning)
warning - warning or null for nonepublic MultiMigsList set(String fieldName, Object value)
set in class com.google.api.client.json.GenericJsonpublic MultiMigsList clone()
clone in class com.google.api.client.json.GenericJsonCopyright © 2011–2025 Google. All rights reserved.